# Amuse: amuse::AudioGroupSampleDirectory::Entry Struct Reference

amuse::AudioGroupSampleDirectory::Entry Struct Reference
Collaboration diagram for amuse::AudioGroupSampleDirectory::Entry:

## Public Member Functions

void | swapBig ()

## Public Attributes

uint16_t | m_sfxId
uint32_t | m_sampleOff
uint32_t | m_unk
uint8_t | m_pitch
uint16_t | m_sampleRate
uint32_t | m_numSamples
uint32_t | m_loopStartSample
uint32_t | m_loopLengthSamples
uint32_t | m_adpcmParmOffset

## Detailed Description

Definition at line 15 of file AudioGroupSampleDirectory.hpp.

The documentation for this struct was generated from the following file:

- include/amuse/AudioGroupSampleDirectory.hpp